Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(22)

Issue 2765463002: Remote fetch device status (attributes and logs) command (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months ago by Ivan Šandrk
Modified:
2 months ago
CC:
chromium-reviews, oshima+watch_chromium.org, davemoore+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Remote fetch device status (attributes and logs) command This CL introduces a remote command that enables device administrators to remotely fetch device status (attributes and logs). Attributes were being uploaded every 3 hours and logs every 12 hours from the device side, and there was no way to trigger a remote refresh. More context can be found by reading the design doc go/remote-audio-management The new functionality was manually tested; remote reboot command was hijacked and rewired to decode into this command and then on the server side (CPanel admin) I clicked on "REBOOT NOW" and I observed the device attributes and logs being updated. P.S. I've also fixed up some linter errors. BUG=686389 TEST=Manually tested new behaviour. Review-Url: https://codereview.chromium.org/2765463002 Cr-Commit-Position: refs/heads/master@{#459037} Committed: https://chromium.googlesource.com/chromium/src/+/35b9ec40290254e484cc17e76ee5205b618e23c9

Patch Set 1 #

Total comments: 3

Patch Set 2 : Removed comment, added bool guard #

Patch Set 3 : Missed one place for bool guard #

Patch Set 4 : Also added log fetching to command #

Total comments: 8

Patch Set 5 : Addressed Drew's comments, treating StatusUploader and SystemLogUploader as one #

Unified diffs Side-by-side diffs Delta from patch set Stats (+187 lines, -4 lines) Patch
M chrome/browser/chromeos/BUILD.gn View 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/device_cloud_policy_manager_chromeos.h View 1 2 3 4 1 chunk +6 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/policy/remote_commands/device_command_fetch_status_job.h View 1 chunk +36 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/policy/remote_commands/device_command_fetch_status_job.cc View 1 2 3 4 1 chunk +73 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/remote_commands/device_commands_factory_chromeos.cc View 2 chunks +4 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/status_uploader.h View 1 2 3 3 chunks +7 lines, -1 line 0 comments Download
M chrome/browser/chromeos/policy/status_uploader.cc View 1 2 3 4 5 chunks +21 lines, -1 line 0 comments Download
M chrome/browser/chromeos/policy/system_log_uploader.h View 1 2 3 3 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/chromeos/policy/system_log_uploader.cc View 1 2 3 4 7 chunks +21 lines, -2 lines 0 comments Download
M components/policy/core/common/remote_commands/remote_command_job.cc View 1 chunk +5 lines, -0 lines 0 comments Download
M components/policy/proto/device_management_backend.proto View 1 2 3 1 chunk +3 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 39 (30 generated)
Ivan Šandrk
Hey Drew, please take a look! I'm unsure about how I handled the code around ...
2 months ago (2017-03-20 15:09:13 UTC) #4
Andrew T Wilson (Slow)
https://codereview.chromium.org/2765463002/diff/1/chrome/browser/chromeos/policy/status_uploader.cc File chrome/browser/chromeos/policy/status_uploader.cc (right): https://codereview.chromium.org/2765463002/diff/1/chrome/browser/chromeos/policy/status_uploader.cc#newcode96 chrome/browser/chromeos/policy/status_uploader.cc:96: upload_callback_.Reset(base::Bind(&StatusUploader::UploadStatus, My main concern here is that we could ...
2 months ago (2017-03-20 16:33:11 UTC) #8
Ivan Šandrk
ptal https://codereview.chromium.org/2765463002/diff/1/chrome/browser/chromeos/policy/status_uploader.cc File chrome/browser/chromeos/policy/status_uploader.cc (right): https://codereview.chromium.org/2765463002/diff/1/chrome/browser/chromeos/policy/status_uploader.cc#newcode96 chrome/browser/chromeos/policy/status_uploader.cc:96: upload_callback_.Reset(base::Bind(&StatusUploader::UploadStatus, On 2017/03/20 16:33:10, Andrew T Wilson (Slow) ...
2 months ago (2017-03-20 17:48:53 UTC) #11
Ivan Šandrk
Hey Drew ptal! Now it's fetching both attrs & logs.
2 months ago (2017-03-21 17:17:02 UTC) #25
Andrew T Wilson (Slow)
PTAL if you address my comments below (esp logic around when to fail the remote ...
2 months ago (2017-03-21 18:03:42 UTC) #26
Ivan Šandrk
Ptal :) https://codereview.chromium.org/2765463002/diff/80001/chrome/browser/chromeos/policy/device_cloud_policy_manager_chromeos.h File chrome/browser/chromeos/policy/device_cloud_policy_manager_chromeos.h (right): https://codereview.chromium.org/2765463002/diff/80001/chrome/browser/chromeos/policy/device_cloud_policy_manager_chromeos.h#newcode121 chrome/browser/chromeos/policy/device_cloud_policy_manager_chromeos.h:121: SystemLogUploader* GetSysLogUploader() const { On 2017/03/21 18:03:42, ...
2 months ago (2017-03-22 20:20:02 UTC) #31
Andrew T Wilson (Slow)
lgtm
2 months ago (2017-03-23 10:03:57 UTC) #34
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2765463002/100001
2 months ago (2017-03-23 10:07:21 UTC) #36
commit-bot: I haz the power
2 months ago (2017-03-23 10:11:55 UTC) #39
Message was sent while issue was closed.
Committed patchset #5 (id:100001) as
https://chromium.googlesource.com/chromium/src/+/35b9ec40290254e484cc17e76ee5...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06